{% set CodiceModulo = "COM_TRASF_RES_AIRE_BG" %}
{% set Urn = "document:c_a794:dichiarazioni.anagrafiche;trasferimento.residenza.estero.aire;dichiarazione" %}
{% set Urn_procedimento = "" %}
{% extends "base.html" %}
{% block meta %}

<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="tutti i soggetti maggiorenni"
classi_modulo="Servizi demografici"
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Dichiarazione di trasferimento di residenza all'estero per cittadini italiani"
destinatario_amministrazione=""
destinatario_ufficio="UOSERVIZIDEMOGRAFICI"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="SI"
firmare="AUTENTICATO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="2.0|21/04/2021"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

<meta codice_modulo_figlio="PROCU_SEMPL"
urn_modulo_figlio="document:c_a794:dichiarazioni.anagrafiche;procura.semplificata"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

<meta codice_allegato="DAE_CDI"
urn_allegato="document:s_italia:generale;documento.identita;documentazione"
descrizione_estesa="Documento di identità"
filename="Documento identita"
firmato="NO"
name="GLOBO_allegato"
obbligatorio="DINAMICO"
tipo_mime="image/jpeg,application/pdf"/>

<meta codice_allegato="COP_PAS"
urn_allegato="document:s_italia:generale;passaporto;documentazione"
descrizione_estesa="Copia del passaporto"
filename="Copia passaporto"
firmato="NO"
name="GLOBO_allegato"
obbligatorio="DINAMICO"
tipo_mime="image/jpeg,application/pdf"/>

{% endblock meta %}

{% block title %}Dichiarazione di trasferimento di residenza all'estero per cittadini italiani{% endblock title %}

{% block content %}

<script type="text/javascript">

var statoPrecedente=[];

//FUNZIONE PER VERIFICARE IL COMPLETO CARICAMENTO DEL DOM
//AL CARICAMENTO CARICA POI LA FUNZIONE fn (che gli viene passata quando richiamo la funzione docReady)
function docReady(fn) {
    // DOM available?? 
    if (document.readyState === "complete" || document.readyState === "interactive") {
        setTimeout(fn, 1);
    } else {
        document.addEventListener("DOMContentLoaded", fn);
    }
}    

// RICHIAMO LA FUNZIONE docReady e gli passo la funzione da eseguire al caricamente del DOM 
docReady(function() {
  // DOM Caricato

  // inserisco ciclo che gli elementi con la classe ElementToHide  
  var ElementsToHide = document.getElementsByClassName("ElementToHide");
  // ciclo gli elementi ElementToHide
  var i;
  for (i = 0; i < ElementsToHide.length; i++) {
    var x = ElementsToHide[i].firstElementChild.value.split('&',2);
    if (x[0] == 'checkbox')
    {
        // Per ogni elemento individuo verifico se il primo figlio ha un valore per capire se è già stato valorizzato
        if (document.getElementById(x[1]).checked)
        {
          // se c'è un valore diverso da vuoto o - (per le select) MOSTRO il DIV e il suo contenuto 
          ElementsToHide[i].style.display="";
        }
        else{
          // Nascondo il campo dalla visualizzazione in modo che non sia visibile all'utente 
          ElementsToHide[i].style.display="none";
        } 
    }
    else if (x[0] == 'select')
    {
      // Per ogni elemento individuo verifico se il primo figlio ha un valore per capire se è già stato valorizzato
        if (document.getElementById(x[1]).value != '')
        {
          // se c'è un valore diverso da vuoto o - (per le select) MOSTRO il DIV e il suo contenuto 
          ElementsToHide[i].style.display="";
        }
        else{
          // Nascondo il campo dalla visualizzazione in modo che non sia visibile all'utente 
          ElementsToHide[i].style.display="none";
        }
    }
                    
  }                       

});

// FUNZIONE PER MOSTRARE i campi nascosti devo passare due valori 
// 1.Riferimento all'elemento che fa scattare la visualizzazione (triggerEl)
// 2.Riferimento alla classe degli elementi che dovranno essere mostrati in caso di attivazione
// ho inserito la classe e non l'id per gestire più contenuti legati ad una singola selezione 
function mostraCampi(triggerEl,classToShow){
        if(triggerEl.checked) {
            ElList = document.getElementsByClassName(classToShow);
            for (El of ElList) {
            El.style.display="";
            //El.style.setProperty('pd4ml-display',"");
            }
        }else{
            ElList = document.getElementsByClassName(classToShow);
            for (El of ElList) {
            El.style.display="none";
            //El.style.setProperty('pd4ml-display',"none");
            }
        }
    }
    
  // FUNZIONE PER POPOLARE L'ARRY degli stati precedenti 
  function impostaValorePrecedente(selectID)
  {
    statoPrecedente[selectID] = document.getElementById(selectID).value;
  }

  // Funzione per aggiunta o diminuizione del numero di documenti (nome Campo = documento da modificare , Op = diff - sottrazione, somma - addizione )
  function modificaDocumento(nomeCampo,op)
  {
    var x = parseInt(document.getElementById(nomeCampo).value);
    document.getElementById(nomeCampo).value = ((op =='somma')?x+1:x-1);
  }

 // FUNZIONE per la verifica della tipologia di documenti necessari ed inserimento nella input degli allegati
 function verificaDocumentiNecessari(inputID){

        // SE MAGGIORENNE VERIFICO LA PROVENIENZA 
        switch (document.querySelector('select[name="' + inputID + '_CittadinanzaNoFill"] option:checked').parentElement.label) 
        { 
          case "Unione Europea":  
            

                // Verifico lo stato precedente
                if (statoPrecedente[inputID + '_From'] == 'NON Unione Europea')
                {
                  // Elimino CDI aggiunta prima
                  modificaDocumento('Tot_PAS','diff');
                }
                modificaDocumento('Tot_CDI','somma');
            
                        
            break;
          case "NON Unione Europea":   
            
            // Verifico lo stato precedente
            if (statoPrecedente[inputID + '_From'] == 'Unione Europea')
            {
              // Elimino CDI aggiunta prima
              modificaDocumento('Tot_CDI','diff');
            }
            modificaDocumento('Tot_PAS','somma');
            
            break;
        }
        // IMPOSTO LO STATO PRECEDENTE FROM 
        statoPrecedente[inputID + '_From'] = document.querySelector('select[name="' + inputID + '_CittadinanzaNoFill"] option:checked').parentElement.label;


      }
  
  
</script>

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - trasferimento residenza estero per cittadini italiani'"/>

<div class="container border-bottom" style="border-radius: unset;z-index: -1;">
    <div class="form-row">
      <div class="form-group col-lg-3 text-center">
        <img alt="Ente" src="./appoggio/img/StemmaComune.png">
      </div>
      <div class="form-group col-lg-5 text-center mb-0">
        <div class="heading">
          <label for="Ente"> Al comune di </label>
          <div class="space-0"></div>
          <input class="form-control" style="background-color: white;" id="Ente" name="Ente" readonly disabled>
        </div>
        <div class="heading">
          <label for="UfficioDestinatario"> Ufficio destinatario </label>
          <div class="space-0"></div>
          <input class="form-control" style="background-color: white;" id="UfficioDestinatario" name="UfficioDestinatario" dynamic_value="#Parametri_UfficioDestinatario.value() ? get_ufficio_dest() : get_ufficio_dest()" readonly disabled>
        </div>
      </div>
      <div class="form-group col-lg-4 text-center">
        <div class="heading">
                 </div>
      </div>
    </div>
</div>

<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>

<div class="container">
  <div class="title-2"> TRASFERIMENTO RESIDENZA ALL'ESTERO PER CITTADINI ITALIANI</div>
</div>

<div class="space-1"></div>

<div class="container border bg-light">
  <!-- titoletto -->
  <div class="form-row border-bottom">
    <div class="col-lg-11">
      <span class="title"> il sottoscritto </span>
    </div>
    <div class="col-lg-1 text-right">
      <span style="pd4ml-visibility: hidden; pd4ml-display: none;" style="margin-top: 5pt;">
        <img class="recupero-dati" alt="Carica dati da profilo" style="visibility:visibility" title="Carica i tuoi dati" src="./appoggio/img/carica_campi.png" onclick="recuperaAnagrafica( 'Titolare' )">
      </span>
    </div>
  </div>

  <!-- dati principali -->
  <div class="form-row" mandatory="true">
    <div class="form-group col-lg-6">
      <label for="Titolare_Cognome"> Cognome </label>
      <input class="form-control" type="text" id="Titolare_Cognome" name="Titolare_Cognome" label="Cognome del Titolare"> 
    </div>
    <div class="form-group col-lg-6">
      <label for="Titolare_Nome"> Nome </label>
      <input class="form-control" type="text" id="Titolare_Nome" name="Titolare_Nome"  label="Nome del Titolare">
    </div>
  </div>
      
  <!-- dati generali -->
  <div class="form-row" mandatory="true">
    <div class="form-group col-lg-6">
        <label for="Titolare_CodiceFiscale"> Codice Fiscale </label>
        <input class="form-control" type="text" id="Titolare_CodiceFiscale" name="Titolare_CodiceFiscale" onkeyup="this.value = this.value.toUpperCase();" format="cf" label="Codice Fiscale del Titolare">
    </div>
    <div class="form-group col-lg-4">
      <label for="Titolare_DataNascita"> Data Nascita </label>
      <input class="form-control" type="text" format="date" id="Titolare_DataNascita" name="Titolare_DataNascita" readonly>
    </div>
    <div class="form-group col-lg-2">
      <label for="Titolare_Sesso"> Sesso </label>
      <input class="form-control" type="text" id="Titolare_Sesso" name="Titolare_Sesso" readonly>
    </div>
  </div>
        
  <!-- dati generali -->
  <div class="form-row" mandatory="true">
    <div class="form-group col-lg-6">
      <label for="Titolare_LuogoNascita"> Luogo Nascita </label>
      <input class="form-control"  id="Titolare_LuogoNascita" name="Titolare_LuogoNascita" readonly>
    </div>
    <div class="form-group col-lg-6">
      <!-- ho modificato il name della cittadinanza in modo che il js automatico di GLOBO non vada ad inserirmi direttamente il valore ma io obblighi il compilaore a selezionare il menu a tendina-->
      <label for="Titolare_CittadinanzaNoFill">Cittadinanza</label>
      <select class="form-control custom-select" id="Titolare_CittadinanzaNoFill" name="Titolare_CittadinanzaNoFill" label="Cittadinanza del Titolare"  onchange="verificaDocumentiNecessari('Titolare');" mandatory="true" >
          <option value=""></option> 
          <optgroup label="Unione Europea">
          <option value="Italia">Italia</option>
          </optgroup>
          
        </optgroup>
      </select>
    </div>
  </div>



  <!-- Residenza -->
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for=""> Residenza </label>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-1" mandatory="true">
      <label for="Titolare_ProvinciaResidenza"> Provincia </label>
      <select class="form-control custom-select" id="Titolare_ProvinciaResidenza" name="Titolare_ProvinciaResidenza" label="Provincia di Residenza del Titolare">
        <option value=""></option> 
        <optgroup label="Italia">
          <option value="AG">AG</option> <option value="AL">AL</option> <option value="AN">AN</option> <option value="AO">AO</option> <option value="AP">AP</option> <option value="AQ">AQ</option> <option value="AR">AR</option> <option value="AT">AT</option> <option value="AV">AV</option> <option value="BA">BA</option> <option value="BG">BG</option> <option value="BI">BI</option> <option value="BL">BL</option> <option value="BN">BN</option> <option value="BO">BO</option> <option value="BR">BR</option> <option value="BS">BS</option> <option value="BT">BT</option> <option value="BZ">BZ</option> <option value="CA">CA</option> <option value="CB">CB</option> <option value="CE">CE</option> <option value="CH">CH</option> <option value="CI">CI</option> <option value="CL">CL</option> <option value="CN">CN</option> <option value="CO">CO</option> <option value="CR">CR</option> <option value="CS">CS</option> <option value="CT">CT</option> <option value="CZ">CZ</option> <option value="EN">EN</option> <option value="FC">FC</option> <option value="FE">FE</option> <option value="FG">FG</option> <option value="FI">FI</option> <option value="FM">FM</option> <option value="FR">FR</option> <option value="GE">GE</option> <option value="GO">GO</option> <option value="GR">GR</option> <option value="IM">IM</option> <option value="IS">IS</option> <option value="KR">KR</option> <option value="LC">LC</option> <option value="LE">LE</option> <option value="LI">LI</option> <option value="LO">LO</option> <option value="LT">LT</option> <option value="LU">LU</option> <option value="MB">MB</option> <option value="MC">MC</option> <option value="ME">ME</option> <option value="MI">MI</option> <option value="MN">MN</option> <option value="MO">MO</option> <option value="MS">MS</option> <option value="MT">MT</option> <option value="NA">NA</option> <option value="NO">NO</option> <option value="NU">NU</option> <option value="OG">OG</option> <option value="OR">OR</option> <option value="OT">OT</option> <option value="PA">PA</option> <option value="PC">PC</option> <option value="PD">PD</option> <option value="PE">PE</option> <option value="PG">PG</option> <option value="PI">PI</option> <option value="PN">PN</option> <option value="PO">PO</option> <option value="PR">PR</option> <option value="PT">PT</option> <option value="PU">PU</option> <option value="PV">PV</option> <option value="PZ">PZ</option> <option value="RA">RA</option> <option value="RC">RC</option> <option value="RE">RE</option> <option value="RG">RG</option> <option value="RI">RI</option> <option value="RM">RM</option> <option value="RN">RN</option> <option value="RO">RO</option> <option value="SA">SA</option> <option value="SI">SI</option> <option value="SO">SO</option> <option value="SP">SP</option> <option value="SR">SR</option> <option value="SS">SS</option> <option value="SV">SV</option> <option value="TA">TA</option> <option value="TE">TE</option> <option value="TN">TN</option> <option value="TO">TO</option> <option value="TP">TP</option> <option value="TR">TR</option> <option value="TS">TS</option> <option value="TV">TV</option> <option value="UD">UD</option> <option value="VA">VA</option> <option value="VB">VB</option> <option value="VC">VC</option> <option value="VE">VE</option> <option value="VI">VI</option> <option value="VR">VR</option> <option value="VS">VS</option> <option value="VT">VT</option> <option value="VV">VV</option> 
          <optgroup label="NON Italia"> 
            <option value="EE">EE</option> 
          </optgroup>
        </optgroup>
      </select>
    </div>
    <div class="form-group col-lg-3" mandatory="true">
      <label for="Titolare_ComuneResidenza"> Comune </label>
      <select class="form-control custom-select" id="Titolare_ComuneResidenza" name="Titolare_ComuneResidenza" dynamic_value="getComuniFromProvincia( #Titolare_ProvinciaResidenza.value(), 'Titolare_ComuneResidenza')" label="Comune di Residenza del Titolare"></select>
    </div>
    <div class="form-group col-lg-4" mandatory="true">
      <label for="Titolare_ViaResidenza"> Indirizzo </label>
      <input class="form-control" type="text" id="Titolare_ViaResidenza" name="Titolare_ViaResidenza" maxlength="60" label="Via di Residenza del Titolare">
    </div>
    <div class="form-group col-lg-2" mandatory="true">
      <label for="Titolare_CivicoResidenza"> Civico </label>
      <input class="form-control" type="text" id="Titolare_CivicoResidenza" name="Titolare_CivicoResidenza" maxlength="10" label="Civico di Residenza del Titolare">
    </div>
    <div class="form-group col-lg-2">
      <label for="Titolare_CAPResidenza"> CAP </label>
      <input class="form-control" type="text" id="Titolare_CAPResidenza" name="Titolare_CAPResidenza" format="cap" mandatory="#Titolare_ProvinciaResidenza.value() != 'EE'" label="Cognome del Titolare" label="CAP di Residenza del Titolare">
    </div>
  </div>
</div>

<div class="container border bg-light">
    <div class="form-check indent-1" >
      <input class="form-check-input" id="ParentiAlSeguito" name="ParentiAlSeguito" type="checkbox" value="SI" />
      <label class="form-check-label" for="ParentiAlSeguito"> Insieme al dichiarante, trasferiscono la residenza anche </label>
      <select class="form-control custom-select"  style="width: 10%;" id="Parametri_NumeroComponenti" name="Parametri_NumeroComponenti" label="Numero componenti" mandatory_enabled="#ParentiAlSeguito.checked()">
        <option value="0">-</option>
        <option value="1">1</option>
        <option value="2">2</option>
        <option value="3">3</option>
      </select>
      <label class="form-check-label" for="Parametri_NumeroComponenti"> familiari MAGGIORENNI </label>
    </div>
</div>

{% set pars = [ "", "Genitore", "Figlia/Figlio", "Coniuge", "Suocera/o", "Genero/Nuora",  "Fratello/Sorella", "Convivente", "Unito civilmente", "Altro" ] %}
{% for i in range(1, 4) %}
<div class="space-1"></div>

<div class="container border bg-light">

    <div class="form-check indent-1">
        <input class="form-check-input" id="AventeTitolo{{i}}" name="AventeTitolo{{i}}" type="checkbox" value="SI" onchange="mostraCampi(this,'AventeTitoloMostra{{i}}')" mandatory_enabled="#Parametri_NumeroComponenti.value()>={{i}}" > 
        <label class="form-check-label title" for="AventeTitolo{{i}}">FAMILIARE {{i}}</label>
    </div>
    
    <div class="ElementToHide AventeTitoloMostra{{i}}">  
    <input type="hidden" value="checkbox&AventeTitolo{{i}}" name="buffer_AventeTitolo{{i}}" id="buffer_AventeTitolo{{i}}" />
            <!-- dati principali -->
            <div class="form-row indent-1" mandatory_enabled="#AventeTitolo{{i}}.checked()">
                <div class="form-group col-lg-4">
                    <label for="AventeTitolo{{i}}_Cognome"> Cognome </label>
                    <input class="form-control" type="text" id="AventeTitolo{{i}}_Cognome" name="AventeTitolo{{i}}_Cognome" label="Cognome del AventeTitolo{{i}}"> 
                </div>
                <div class="form-group col-lg-4">
                <label for="AventeTitolo{{i}}_Nome"> Nome </label>
                <input class="form-control" type="text" id="AventeTitolo{{i}}_Nome" name="AventeTitolo{{i}}_Nome"  label="Nome del AventeTitolo{{i}}">
                </div>
                <div class="form-group col-lg-4">
                <label for="AventeTitolo{{i}}_CodiceFiscale"> Codice Fiscale </label>
                <input class="form-control" type="text" id="AventeTitolo{{i}}_CodiceFiscale" name="AventeTitolo{{i}}_CodiceFiscale" onkeyup="this.value = this.value.toUpperCase();" format="cf" label="Codice Fiscale del AventeTitolo{{i}}">

                </div>
            </div>
                
            <!-- dati generali -->
            <div class="form-row indent-1" mandatory_enabled="#AventeTitolo{{i}}.checked()">
                <div class="form-group col-lg-2">
                <label for="AventeTitolo{{i}}_DataNascita"> Data Nascita </label>
                <input class="form-control" type="text" format="date" id="AventeTitolo{{i}}_DataNascita" name="AventeTitolo{{i}}_DataNascita" readonly>
                </div>
                <div class="form-group col-lg-2">
                <label for="AventeTitolo{{i}}_Sesso"> Sesso </label>
                <input class="form-control" type="text" id="AventeTitolo{{i}}_Sesso" name="AventeTitolo{{i}}_Sesso" readonly>
                </div>
                <div class="form-group col-lg-4">
                <label for="AventeTitolo{{i}}_LuogoNascita"> Luogo Nascita </label>
                <input class="form-control"  id="AventeTitolo{{i}}_LuogoNascita" name="AventeTitolo{{i}}_LuogoNascita" readonly>
                </div>
                <div class="form-group col-lg-4">
                <label for="AventeTitolo{{i}}_Cittadinanza"> Cittadinanza </label>
                <select class="form-control custom-select" id="AventeTitolo{{i}}_CittadinanzaNoFill" name="AventeTitolo{{i}}_CittadinanzaNoFill" label="Cittadinanza del AventeTitolo{{i}}"   onchange="verificaDocumentiNecessari('AventeTitolo{{i}}');" >
                    <option value=""></option> 
                    <optgroup label="Unione Europea">
                    <option value="Italia">Italia</option>
                    </optgroup>
                    
                </select>
                </div>
            </div>
            <div class="form-row indent-1" mandatory_enabled="#AventeTitolo{{i}}.checked()">  
                <div class="form-group col-lg-12">
                  <label for="AventeTitolo{{i}}_Parentela"> Rapporto di parentela : </label>
                  <select class="form-control custom-select" id="AventeTitolo{{i}}_Parentela" name="AventeTitolo{{i}}_Parentela" label="Grado di parentela del avente titolo numero {{i}}"  >
                      {% for par in pars %}
                        <option value="{{par}}"> {{par}} </option>
                      {% endfor %}
                  </select>
                </div>
            </div>
    </div>
</div>      
{% endfor %}

<div class="container border bg-light">
    <div class="form-check indent-1" >
      <input class="form-check-input" id="ParentiAlSeguitoMinorenni" name="ParentiAlSeguitoMinorenni" type="checkbox" value="SI" />
      <label class="form-check-label" for="ParentiAlSeguitoMinorenni"> Insieme al dichiarante, trasferiscono la residenza anche </label>
      <select class="form-control custom-select"  style="width: 10%;" id="Parametri_NumeroComponentiMinorenni" name="Parametri_NumeroComponentiMinorenni" label="Numero componenti" mandatory_enabled="#ParentiAlSeguitoMinorenni.checked()">
        <option value="0">-</option>
        <option value="1">1</option>
        <option value="2">2</option>
        <option value="3">3</option>
      </select>
      <label class="form-check-label" for="Parametri_NumeroComponenti"> familiari MINORENNI </label>
    </div>
</div>

{% set pars = [ "", "Genitore", "Figlia/Figlio", "Coniuge", "Suocera/o", "Genero/Nuora",  "Fratello/Sorella", "Convivente", "Unito civilmente", "Altro" ] %}
{% for i in range(1, 4) %}
<div class="space-1"></div>

<div class="container border bg-light">

    <div class="form-check indent-1">
        <input class="form-check-input" id="AventeTitoloMinorenne{{i}}" name="AventeTitoloMinorenne{{i}}" type="checkbox" value="SI" onchange="mostraCampi(this,'AventeTitoloMinorenneMostra{{i}}')" mandatory_enabled="#Parametri_NumeroComponentiMinorenni.value()>={{i}}" > 
        <label class="form-check-label title" for="AventeTitoloMinorenne{{i}}">FAMILIARE MINORENNE {{i}}</label>
    </div>
    
    <div class="ElementToHide AventeTitoloMinorenneMostra{{i}}">  
        <input type="hidden" value="checkbox&AventeTitoloMinorenne{{i}}" name="buffer_AventeTitoloMinorenne{{i}}" id="buffer_AventeTitoloMinorenne{{i}}" />
            <!-- dati principali -->
            <div class="form-row indent-1" mandatory_enabled="#AventeTitoloMinorenne{{i}}.checked()">
                <div class="form-group col-lg-4">
                    <label for="AventeTitoloMinorenne{{i}}_Cognome"> Cognome </label>
                    <input class="form-control" type="text" id="AventeTitoloMinorenne{{i}}_Cognome" name="AventeTitoloMinorenne{{i}}_Cognome" label="Cognome del AventeTitoloMinorenne {{i}}"> 
                </div>
                <div class="form-group col-lg-4">
                <label for="AventeTitoloMinorenne{{i}}_Nome"> Nome </label>
                <input class="form-control" type="text" id="AventeTitoloMinorenne{{i}}_Nome" name="AventeTitoloMinorenne{{i}}_Nome"  label="Nome del AventeTitoloMinorenne {{i}}">
                </div>
                <div class="form-group col-lg-4">
                <label for="AventeTitoloMinorenne{{i}}_CodiceFiscale"> Codice Fiscale </label>
                <input class="form-control" type="text" id="AventeTitoloMinorenne{{i}}_CodiceFiscale" name="AventeTitoloMinorenne{{i}}_CodiceFiscale" onkeyup="this.value = this.value.toUpperCase();" format="cf" label="Codice Fiscale del AventeTitoloMinorenne{{i}}">

                </div>
            </div>
                
            <!-- dati generali -->
            <div class="form-row indent-1" mandatory_enabled="#AventeTitoloMinorenne{{i}}.checked()">
                <div class="form-group col-lg-2">
                <label for="AventeTitoloMinorenne{{i}}_DataNascita"> Data Nascita </label>
                <input class="form-control" type="text" format="date" id="AventeTitoloMinorenne{{i}}_DataNascita" name="AventeTitoloMinorenne{{i}}_DataNascita" readonly>
                </div>
                <div class="form-group col-lg-2">
                <label for="AventeTitoloMinorenne{{i}}_Sesso"> Sesso </label>
                <input class="form-control" type="text" id="AventeTitoloMinorenne{{i}}_Sesso" name="AventeTitoloMinorenne{{i}}_Sesso" readonly>
                </div>
                <div class="form-group col-lg-4">
                <label for="AventeTitoloMinorenne{{i}}_LuogoNascita"> Luogo Nascita </label>
                <input class="form-control"  id="AventeTitoloMinorenne{{i}}_LuogoNascita" name="AventeTitoloMinorenne{{i}}_LuogoNascita" readonly>
                </div>
                <div class="form-group col-lg-4">
                <label for="AventeTitoloMinorenne{{i}}_Cittadinanza"> Cittadinanza </label>
                <select class="form-control custom-select" id="AventeTitoloMinorenne{{i}}_Cittadinanza" name="AventeTitoloMinorenne{{i}}_Cittadinanza" label="Cittadinanza del AventeTitoloMinorenne{{i}}">
                    <option value=""></option> 
                    <optgroup label="Unione Europea">
                    <option value="Italia">Italia</option>
                   </optgroup>
                    
                </select>
                </div>
            </div>
            <div class="form-row indent-1"  mandatory_enabled="#AventeTitoloMinorenne{{i}}.checked()">  
                <div class="form-group col-lg-12">
                  <label for="AventeTitoloMinorenne{{i}}_Parentela"> Rapporto di parentela : </label>
                  <select class="form-control custom-select" id="AventeTitoloMinorenne{{i}}_Parentela" name="AventeTitoloMinorenne{{i}}_Parentela" label="Grado di parentela del avente titolo numero {{i}}" >
                      {% for par in pars %}
                        <option value="{{par}}"> {{par}} </option>
                      {% endfor %}
                  </select>
                </div>
            </div>
    </div>
</div>      
{% endfor %}

<div class="container">

    <div class="paragraph">Valendosi della facoltà prevista dall'articolo 46 e dall'articolo 47 del Decreto del Presidente della Repubblica 28/12/2000, n. 445, consapevole delle sanzioni penali previste dall'articolo 76 del Decreto del Presidente della Repubblica 28/12/2000, n. 445 e dall'articolo 483 del Codice Penale nel caso di dichiarazioni non veritiere e di falsità in atti</div>
    <div class="space-0"></div>
    <div class="title-3"> DICHIARA </div> 
    <div class="paragraph">di trasferire la residenza all'estero</div>
</div>

<div class="container border bg-light">
    <div class="form-row">
        <div class="form-group col-lg-12" mandatory="true">
            <label for="AventeTitolo{{i}}_Cognome"> Stato estero </label>
            <input class="form-control" type="text" id="Stato_estero" name="Stato_estero" label="Stato estero di destinazione residenza"> 
        </div>
    </div>
</div>

<div class="container border bg-light">
    <div class="form-row border-bottom">
      <div class="col-lg-12 mt-2">
        <span class="title"> Tutte le comunicazioni inerenti la presente dichiarazione dovranno essere inviate ai seguenti recapiti: </span> </span>
      </div>
    </div>
    <div class="form-row"  mandatory="true">
      <div class="form-group col-lg-4">
        <label for="Comunicazioni_Stato"> Stato </label>
        <input class="form-control" type="text" id="Comunicazioni_Stato" name="Comunicazioni_Stato" label="Stato invio comunicazioni">
      </div>
      <div class="form-group col-lg-4">
        <label for="Comunicazioni_Citta"> Città </label>
        <input class="form-control" type="text" id="Comunicazioni_Citta" name="Comunicazioni_Citta" label="Città invio comunicazioni">
      </div>
      <div class="form-group col-lg-4">
        <label for="Comunicazioni_Indirizzo"> Indirizzo </label>
        <input class="form-control" type="text" id="Comunicazioni_Indirizzo" name="Comunicazioni_Indirizzo" label="Via invio comunicazioni">
      </div>
    </div>
    <div class="form-row">
        <div class="form-group col-lg-4">
          <label for="Comunicazioni_Telefono"> Numero di telefono </label>
          <input class="form-control" type="text" id="Comunicazioni_Telefono" name="Comunicazioni_Telefono" label="Numero invio comunicazioni">
        </div>
        <div class="form-group col-lg-4">
          <label for="Comunicazioni_EMail"> Posta elettronica ordinaria </label>
          <input class="form-control" id="Comunicazioni_EMail" name="Comunicazioni_EMail" format="email"  label="Mail invio comunicazioni"/>          
        </div>
        <div class="form-group col-lg-4">
          <label for="Comunicazioni_EMailPEC"> Posta elettronica certificata (domicilio digitale) </label>
          <input class="form-control" id="Comunicazioni_EMailPEC" name="Comunicazioni_EMailPEC" format="pec" label="Mail PEC  invio comunicazioni">
        </div>
      </div>
</div>

<div class="space-1"></div>

<div class="container border bg-light">
  <!-- titoletto -->
  <div class="form-row border-bottom mb-3">
    <div class="col-lg-12 text-center">
      <div class="text-center pb-2" style="font-weight: bold;">
        Elenco degli allegati <br>
      </div>
    </div>
  </div>

  <div class="title-2"> DOCUMENTI DI IDENTITA' FAMILIARI MAGGIORENNI </div>

  <div class="form-check indent-1">
    <label class="form-check-label" for="DAE_CDI">N°  <input class="form-control" style="width:3em; display: inline-block;" id="Tot_CDI" name="Tot_CDI"  value="0" readonly> copia del documento d'identità </label>
  </div>

  <div class="form-check indent-1">
    <label class="form-check-label" for="COP_PAS"> N° <input class="form-control" style="width:3em; display: inline-block;" id="Tot_PAS" name="Tot_PAS" value="0" readonly> copia del passaporto o documento equipollente in corso di validità </label>
  </div>

  <div class="title-2 pt-2"> DOCUMENTI PROCURA FAMILIARI MAGGIORENNI </div>

  <div class="form-check indent-1">
    <input class="form-check-input" type="checkbox" id="PROCU_SEMPL" name="PROCU_SEMPL" value="OBBLIGATORIO" dynamic_check="#ParentiAlSeguito.checked()"  enabled="#ParentiAlSeguito.checked()"> 
    <label class="form-check-label" for="PROCU_SEMPL"> Procura Semplificata - Modulo aggiuntivo </label>
  </div>

</div>

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row border-bottom mb-3">
    <div class="col-lg-12 text-center">
      <div class="text-center" style="font-weight: bold;">
        Informativa sul trattamento dei dati personali <br>
        <span class="infoes"> (ai sensi del Regolamento Comunitario 27/04/2016, n. 2016/679 e del Decreto Legislativo 30/06/2003, n. 196) </span>
      </div>
    </div>
  </div>
  <div id="Consenso_trattamento_dati_personali_group" name="Consenso_trattamento_dati_personali_group" label="Trattamento dati personali" mandatory="true"></div>
  <div class="form-check indent-1">
    <input class="form-check-input" group="Consenso_trattamento_dati_personali_group" id="Consenso_trattamento_dati_personali" name="Consenso_trattamento_dati_personali" type="checkbox" value="SI"> 
    <label class="form-check-label" for="Consenso_trattamento_dati_personali"> dichiaro di aver preso visione dell'informativa relativa al trattamento dei dati personali pubblicata sul sito internet dell'Amministrazione destinataria, titolare del trattamento delle informazioni trasmesse all'atto della presentazione dell'istanza. </label> 
  </div>
</div>

<div class="space-1"></div>

<globo_fondo_pagina areaheight="150">
  <div type="firma">
    <div class="container border bg-light" name="Firme">
      <div class="form-row">
        <div class="form-group col-lg-4 firma-custom">
          <input class="form-control" style="text-align: center;" id="Luogo_PDF" name="Luogo_PDF"/>
          <label for="Luogo_PDF"> Luogo </label>
        </div>
        <div class="form-group col-lg-4 firma-custom">
          <input class="form-control" style="text-align: center;" id="Data_PDF" name="Data_PDF"/>
          <label for="Data_PDF"> Data </label>
        </div>
        <div class="form-group col-lg-4 firma-custom">
          <input class="form-control" style="text-align: center;" id="FirmaFake_PDF" name="FirmaFake_PDF"/>
          <label for="FirmaFake_PDF"> Il dichiarante </label>
        </div>
      </div>
    </div>
    <div name="oldFirme" style="display: none;pd4ml-display: none;">
      <input id="Luogo" name="Luogo"/> <input id="Data" name="Data"/><input id="FirmaFake" name="FirmaFake"/>
    </div>
  </div>
</globo_fondo_pagina>

<div class="space-1"></div>

<div class="container">
  <button type="submit" class="btn btn-success btn-lg btn-block" id="SalvaModulo" name="SalvaModulo" title="Verifica la corretta compilazione dei campi e salva il modulo nel faldone virtuale dell'istanza."> Salva modulo </button>
</div>

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<!-- MODULO PER PROCURA SEMPLIFICATA -->
<input id="GLOBO_modulofiglio_cPROCU_SEMPL" name="GLOBO_modulofiglio_cPROCU_SEMPL" numero="1" obbligatorio="#ParentiAlSeguito.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<!-- ELENCO ALLEGATI IDENTITA'  numero="#Tot_CDI.value()" -->
<input id="GLOBO_allegato_cDAE_CDI" name="GLOBO_allegato_cDAE_CDI" obbligatorio="#Tot_CDI.value()>0 ? 'OBBLIGATORIO' : ''" type="hidden"  />
<input id="GLOBO_allegato_cCOP_PAS" name="GLOBO_allegato_cCOP_PAS" obbligatorio="#Tot_PAS.value()>0 ? 'OBBLIGATORIO' : ''" type="hidden" numero="#Tot_PAS.value()" value=""/>


<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

  {% endblock content %}
 
